%define name xclip
%define version 0.08
%define release 4mdk

Summary: Xclip - A clipboard for X
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Url: 	http://people.debian.org/~kims/xclip/
License: GPL
Group: System/X11
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: X11-devel
BuildRequires: X11

%description
xclip is a command line utility that is designed to run on any system
with an X11 implementation. It provides an interface to X selections
("the clipboard") from the command line. It can read data from
standard in or a file and place it in an X selection for pasting into
other X applications. xclip can also print an X selection to standard
out, which can then be piped to a file or another program.

%prep
%setup -q -n %{name}

%build
xmkmf -a
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/usr/X11R6/{bin,man/man1}/
install -m755 %{name} %buildroot/usr/X11R6/bin
install -m644 %{name}.man %buildroot/usr/X11R6/man/man1/

chmod a+r README CHANGES COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*

%changelog
* Mon Apr 11 2005 Franck Villaume <fvill@mandrake.org> 0.08-4mdk
- buildrequires

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.08-3mdk
- rebuild

* Tue Nov 25 2003 Marcel Pol <mpol@mandrake.org> 0.08-2mdk
- buildrequires

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.08-1mdk
- 0.08

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-2mdk
- rebuild

* Fri Oct 26 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 0.07-1mdk
- 0.07.

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.06-1mdk
- fix rpmlint.
- 0.06.

* Mon Jun 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.05-1mdk
- First mandrake version.

# end of file
